QJournalProtocolProtos.QJournalProtocolService.Interface (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: QJournalProtocolService, interface: Interface

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.QJournalProtocolService.Interface

All Known Implementing Classes:
  `QJournalProtocolProtos.QJournalProtocolService.Stub`

Enclosing class:
  QJournalProtocolProtos.QJournalProtocolService

public static interface QJournalProtocolProtos.QJournalProtocolService.Interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)`
  `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`
  `void`
  `canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)`
  `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`
  `void`
  `discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)`
  `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`
  `void`
  `doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)`
  `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`
  `void`
  `doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)`
  `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`
  `void`
  `doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)`
  `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`
  `void`
  `doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)`
  `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`
  `void`
  `finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)`
  `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`
  `void`
  `format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)`
  `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`
  `void`
  `getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)`
  `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
  `void`
  `getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)`
  `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`
  `void`
  `getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)`
  `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`
  `void`
  `getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)`
  `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`
  `void`
  `heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)`
  `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`
  `void`
  `isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)`
  `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`
  `void`
  `journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)`
  `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`
  `void`
  `newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)`
  `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`
  `void`
  `prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)`
  `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`
  `void`
  `purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)`
  `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`
  `void`
  `startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)`
  `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`

- ## Method Details

  - ### isFormatted

    void isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.IsFormattedResponseProto> done)
    `rpc isFormatted(.hadoop.hdfs.qjournal.IsFormattedRequestProto) returns (.hadoop.hdfs.qjournal.IsFormattedResponseProto);`

  - ### getJournalCTime

    void getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalCTimeResponseProto> done)
    `rpc getJournalCTime(.hadoop.hdfs.qjournal.GetJournalCTimeRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalCTimeResponseProto);`

  - ### doPreUpgrade

    void doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoPreUpgradeResponseProto> done)
    `rpc doPreUpgrade(.hadoop.hdfs.qjournal.DoPreUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoPreUpgradeResponseProto);`

  - ### doUpgrade

    void doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoUpgradeResponseProto> done)
    `rpc doUpgrade(.hadoop.hdfs.qjournal.DoUpgradeRequestProto) returns (.hadoop.hdfs.qjournal.DoUpgradeResponseProto);`

  - ### doFinalize

    void doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoFinalizeResponseProto> done)
    `rpc doFinalize(.hadoop.hdfs.qjournal.DoFinalizeRequestProto) returns (.hadoop.hdfs.qjournal.DoFinalizeResponseProto);`

  - ### canRollBack

    void canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.CanRollBackResponseProto> done)
    `rpc canRollBack(.hadoop.hdfs.qjournal.CanRollBackRequestProto) returns (.hadoop.hdfs.qjournal.CanRollBackResponseProto);`

  - ### doRollback

    void doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DoRollbackResponseProto> done)
    `rpc doRollback(.hadoop.hdfs.qjournal.DoRollbackRequestProto) returns (.hadoop.hdfs.qjournal.DoRollbackResponseProto);`

  - ### discardSegments

    void discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.DiscardSegmentsResponseProto> done)
    `rpc discardSegments(.hadoop.hdfs.qjournal.DiscardSegmentsRequestProto) returns (.hadoop.hdfs.qjournal.DiscardSegmentsResponseProto);`

  - ### getJournalState

    void getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournalStateResponseProto> done)
    `rpc getJournalState(.hadoop.hdfs.qjournal.GetJournalStateRequestProto) returns (.hadoop.hdfs.qjournal.GetJournalStateResponseProto);`

  - ### newEpoch

    void newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.NewEpochResponseProto> done)
    `rpc newEpoch(.hadoop.hdfs.qjournal.NewEpochRequestProto) returns (.hadoop.hdfs.qjournal.NewEpochResponseProto);`

  - ### format

    void format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FormatResponseProto> done)
    `rpc format(.hadoop.hdfs.qjournal.FormatRequestProto) returns (.hadoop.hdfs.qjournal.FormatResponseProto);`

  - ### journal

    void journal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.JournalRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.JournalResponseProto> done)
    `rpc journal(.hadoop.hdfs.qjournal.JournalRequestProto) returns (.hadoop.hdfs.qjournal.JournalResponseProto);`

  - ### heartbeat

    void heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.HeartbeatResponseProto> done)
    `rpc heartbeat(.hadoop.hdfs.qjournal.HeartbeatRequestProto) returns (.hadoop.hdfs.qjournal.HeartbeatResponseProto);`

  - ### startLogSegment

    void startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.StartLogSegmentResponseProto> done)
    `rpc startLogSegment(.hadoop.hdfs.qjournal.StartLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.StartLogSegmentResponseProto);`

  - ### finalizeLogSegment

    void finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.FinalizeLogSegmentResponseProto> done)
    `rpc finalizeLogSegment(.hadoop.hdfs.qjournal.FinalizeLogSegmentRequestProto) returns (.hadoop.hdfs.qjournal.FinalizeLogSegmentResponseProto);`

  - ### purgeLogs

    void purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PurgeLogsResponseProto> done)
    `rpc purgeLogs(.hadoop.hdfs.qjournal.PurgeLogsRequestProto) returns (.hadoop.hdfs.qjournal.PurgeLogsResponseProto);`

  - ### getEditLogManifest

    void getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)
    `rpc getEditLogManifest(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`

  - ### getJournaledEdits

    void getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetJournaledEditsResponseProto> done)
    `rpc getJournaledEdits(.hadoop.hdfs.qjournal.GetJournaledEditsRequestProto) returns (.hadoop.hdfs.qjournal.GetJournaledEditsResponseProto);`

  - ### prepareRecovery

    void prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.PrepareRecoveryResponseProto> done)
    `rpc prepareRecovery(.hadoop.hdfs.qjournal.PrepareRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.PrepareRecoveryResponseProto);`

  - ### acceptRecovery

    void acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.AcceptRecoveryResponseProto> done)
    `rpc acceptRecovery(.hadoop.hdfs.qjournal.AcceptRecoveryRequestProto) returns (.hadoop.hdfs.qjournal.AcceptRecoveryResponseProto);`